Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaRenderer Class Reference

`#include <vtkMesaRenderer.h>`

Inheritance diagram for vtkMesaRenderer:

[legend]
Collaboration diagram for vtkMesaRenderer:

[legend]
List of all members.

## Detailed Description

OpenGL renderer.

Date:
  2002/06/12 11:49:45

Revision:
  1.18

vtkMesaRenderer is a concrete implementation of the abstract class vtkRenderer. vtkMesaRenderer interfaces to the mesa graphics library. This file is created, by a copy of vtkOpenGLRenderer

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (56%)
  - Hoffman, Bill (34%)
  - Schroeder, Will (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkMesaRenderer.h)`
  - .`cxx` (`/Rendering/vtkMesaRenderer.cxx)`

Examples:
  vtkMesaRenderer (Examples)

Tests:
  vtkMesaRenderer (Tests)

Definition at line 50 of file vtkMesaRenderer.h.

## Public Types
typedef vtkRenderer | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | DeviceRender (void)
void | ClearLights (void)
void | Clear (void)
int | UpdateLights (void)
virtual vtkCamera * | MakeCamera ()
virtual vtkLight * | MakeLight ()
## Static Public Methods
vtkMesaRenderer * | New ()
int | IsTypeOf (const char *type)
vtkMesaRenderer * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMesaRenderer ()
| ~vtkMesaRenderer ()
virtual void | DevicePickRender ()
virtual void | StartPick (unsigned int pickFromSize)
virtual void | UpdatePickId ()
virtual void | DonePick ()
virtual unsigned int | GetPickedId ()
virtual float | GetPickedZ ()
## Protected Attributes
int | NumberOfLightsBound
vtkGLPickInfo * | PickInfo
float | PickedZ

## Member Typedef Documentation

typedef vtkRenderer vtkMesaRenderer::Superclass

| Reimplemented from vtkRenderer. Definition at line 57 of file vtkMesaRenderer.h.

## Constructor & Destructor Documentation

vtkMesaRenderer::vtkMesaRenderer | ( |  | ) | `[protected]`

vtkMesaRenderer::~vtkMesaRenderer | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMesaRenderer* vtkMesaRenderer::New | ( |  | ) | `[static]`

| Create a vtkRenderer with a black background, a white ambient light, two-sided lighting turned on, a viewport of (0,0,1,1), and backface culling turned off. Reimplemented from vtkRenderer.

virtual const char* vtkMesaRenderer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkRenderer.

int vtkMesaRenderer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderer.

virtual int vtkMesaRenderer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderer.

vtkMesaRenderer* vtkMesaRenderer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkRenderer.

void vtkMesaRenderer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkRenderer.

void vtkMesaRenderer::DeviceRender | ( | void |  | ) | `[virtual]`

| Concrete open gl render method. Implements vtkRenderer.

void vtkMesaRenderer::ClearLights | ( | void |  | ) |

| Internal method temporarily removes lights before reloading them into graphics pipeline.

void vtkMesaRenderer::Clear | ( | void |  | ) | `[virtual]`

| Clear the image to the background color. Reimplemented from vtkRenderer.

int vtkMesaRenderer::UpdateLights | ( | void |  | ) | `[virtual]`

| Ask lights to load themselves into graphics pipeline. Reimplemented from vtkRenderer.

virtual vtkCamera* vtkMesaRenderer::MakeCamera | ( |  | ) | `[virtual]`

| Create a new Camera sutible for use with this type of Renderer. For example, a vtkMesaRenderer should create a vtkMesaCamera in this function. The default is to just call vtkCamera::New. Reimplemented from vtkRenderer.

virtual vtkLight* vtkMesaRenderer::MakeLight | ( |  | ) | `[virtual]`

| Create a new Light sutible for use with this type of Renderer. For example, a vtkMesaRenderer should create a vtkMesaLight in this function. The default is to just call vtkLight::New. Reimplemented from vtkRenderer.

virtual void vtkMesaRenderer::DevicePickRender | ( |  | ) | `[protected, virtual]`

| Implements vtkViewport.

virtual void vtkMesaRenderer::StartPick | ( | unsigned int | pickFromSize | ) | `[protected, virtual]`

| Implements vtkViewport.

virtual void vtkMesaRenderer::UpdatePickId | ( |  | ) | `[protected, virtual]`

| Implements vtkViewport.

virtual void vtkMesaRenderer::DonePick | ( |  | ) | `[protected, virtual]`

| Implements vtkViewport.

virtual unsigned int vtkMesaRenderer::GetPickedId | ( |  | ) | `[protected, virtual]`

| Implements vtkViewport.

virtual float vtkMesaRenderer::GetPickedZ | ( |  | ) | `[protected, virtual]`

| Return the Z value for the last picked Prop. Implements vtkViewport.

## Member Data Documentation

int vtkMesaRenderer::NumberOfLightsBound`[protected]`

| Definition at line 53 of file vtkMesaRenderer.h.

class vtkGLPickInfo* vtkMesaRenderer::PickInfo`[protected]`

| Definition at line 95 of file vtkMesaRenderer.h.

float vtkMesaRenderer::PickedZ`[protected]`

| Definition at line 97 of file vtkMesaRenderer.h.

The documentation for this class was generated from the following file:

- Rendering/vtkMesaRenderer.h